# Class WindowService

- Defined in packages/angular/window-system/src/lib/window.service.ts:44

#####
Index

### Constructors

constructor

### Properties

active
activeCount$
componentFactoryResolver
defaultWindowSettings?
injector
overlay

### Accessors

activeWindowCount
allActiveWindows
hasActiveWindows

### Methods

add
close
createOverlay
get
has
open
remove

## Constructors

### constructor

- new WindowService(injector, overlay, componentFactoryResolver, defaultWindowSettings?): WindowService

- #### Parameters

  - injector: Injector
  - overlay: Overlay
  - componentFactoryResolver: ComponentFactoryResolver
  - `Optional` defaultWindowSettings: WindowSettings<any>

  #### Returns WindowService

  - Defined in packages/angular/window-system/src/lib/window.service.ts:48

## Properties

### `Private` `Readonly` active

active: Map<string, WindowRef<any, any>> = ...

- Defined in packages/angular/window-system/src/lib/window.service.ts:46

### `Readonly` activeCount$

activeCount$: Subject<number> = ...

- Defined in packages/angular/window-system/src/lib/window.service.ts:45

### `Private` `Readonly` componentFactoryResolver

componentFactoryResolver: ComponentFactoryResolver

- Defined in packages/angular/window-system/src/lib/window.service.ts:52

### `Private` `Optional` `Readonly` defaultWindowSettings

defaultWindowSettings?: WindowSettings<any>

- Defined in packages/angular/window-system/src/lib/window.service.ts:55

### `Private` `Readonly` injector

injector: Injector

- Defined in packages/angular/window-system/src/lib/window.service.ts:49

### `Private` `Readonly` overlay

overlay: Overlay

- Defined in packages/angular/window-system/src/lib/window.service.ts:50

## Accessors

### activeWindowCount

- get activeWindowCount(): number

- #### Returns number

  - Defined in packages/angular/window-system/src/lib/window.service.ts:63

### allActiveWindows

- get allActiveWindows(): WindowRef<any, any>[]

- #### Returns WindowRef<any, any>[]

  - Defined in packages/angular/window-system/src/lib/window.service.ts:67

### hasActiveWindows

- get hasActiveWindows(): boolean

- #### Returns boolean

  - Defined in packages/angular/window-system/src/lib/window.service.ts:59

## Methods

### add

- add(windowRef): void

- #### Parameters

  - windowRef: WindowRef<any, any>

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window.service.ts:179

### close

- close(id): void

- #### Parameters

  - id: string

  #### Returns void

  - Defined in packages/angular/window-system/src/lib/window.service.ts:78

### `Private` createOverlay

- createOverlay(__namedParameters): OverlayRef

- #### Parameters

  - __namedParameters: OverlayConfig

  #### Returns OverlayRef

  - Defined in packages/angular/window-system/src/lib/window.service.ts:184

### get

- get<D>(id): WindowRef<D, any>

- #### Type Parameters

  - D

  #### Parameters

  - id: string

  #### Returns WindowRef<D, any>

  - Defined in packages/angular/window-system/src/lib/window.service.ts:71

### has

- has(id): boolean

- #### Parameters

  - id: string

  #### Returns boolean

  - Defined in packages/angular/window-system/src/lib/window.service.ts:83

### open

- open<D, T>(config): WindowRef<D, any>

- #### Type Parameters

  - D
  - T

  #### Parameters

  - config: WindowConfig<D, T>

  #### Returns WindowRef<D, any>

  - Defined in packages/angular/window-system/src/lib/window.service.ts:87

### remove

- remove(id): boolean

- #### Parameters

  - id: string

  #### Returns boolean

  - Defined in packages/angular/window-system/src/lib/window.service.ts:173